org.python.core.stringlib

## Class InternalFormat

- java.lang.Object
- - org.python.core.stringlib.InternalFormat

    public class InternalFormat
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `InternalFormat.Formatter` A class that provides the base for implementations of type-specific formatting.
`static class` `InternalFormat.Spec` Parsed PEP-3101 format specification of a single field, encapsulating the format for use by formatting methods.

### Constructor Summary

Constructors
Constructor and Description
`InternalFormat()`

### Method Summary

All Methods Static Methods Concrete Methods
`static InternalFormat.Spec` `fromText(PyObject text, java.lang.String method)` Create a `InternalFormat.Spec` object by parsing a format specification, supplied as an object.
`static InternalFormat.Spec` `fromText(java.lang.String text)` Create a `InternalFormat.Spec` object by parsing a format specification.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalFormat

    public InternalFormat()

### Method Detail

#### fromText

    public static InternalFormat.Spec fromText(java.lang.String text)

Create a `InternalFormat.Spec` object by parsing a format specification.

Parameters:
  `text` - to parse
Returns:
  parsed equivalent to text

#### fromText

    public static InternalFormat.Spec fromText(PyObject text,
                                               java.lang.String method)

Create a `InternalFormat.Spec` object by parsing a format specification, supplied as an object.

Parameters:
  `text` - to parse
Returns:
  parsed equivalent to text